Cairo::logic_error Class Reference
Inheritance diagram for Cairo::logic_error:
[legend]

## Public Member Functions

| logic_error (ErrorStatus status)
virtual | ~logic_error () noexcept
ErrorStatus | get_status_code () const
Public Member Functions inherited from std::logic_error
| logic_error (const string &__arg)

## Constructor & Destructor Documentation

Cairo::logic_error::logic_error | ( | ErrorStatus | status | ) |

explicit

virtual Cairo::logic_error::~logic_error | ( |  | ) |

virtual noexcept

## Member Function Documentation

ErrorStatus Cairo::logic_error::get_status_code | ( |  | ) | const

The documentation for this class was generated from the following file:

- cairomm/exception.h